import { createPermit, createSchema, createGuard } from './permit';
import {
  createProcedure,
  createInterface,
  createContext,
  inputSchema,
} from './garda';

export * from './infer';
export const permit = { createPermit, createSchema, createGuard };
export const garda = {
  createProcedure,
  createInterface,
  createContext,
  inputSchema,
};
